%define major   3
%define libname %mklibname %{name} _%{major}
%define devname %mklibname %{name} -d

Name:           tinyxml2
Version:        3.0.0
Release:        %mkrel 2
Summary:        Simple, small and efficient C++ XML parser
Group:          System/Libraries
License:        zlib
URL:            http://www.grinninglizard.com/tinyxml2/
Source0:        https://github.com/leethomason/tinyxml2/archive/%{version}/%{name}-%{version}.tar.xz
Source1:        FindTinyXML2.cmake
BuildRequires:  cmake
BuildRequires:  doxygen

%description
TinyXML-2 is a simple, small, efficient, C++ XML parser that can be
easily integrated into other programs. It uses a Document Object Model
(DOM), meaning the XML data is parsed into a C++ objects that can be
browsed and manipulated, and then written to disk or another output stream.

#------------------------------------------------------------------

%package -n     %{libname}
Summary:        %{summary}
Group:          System/Libraries

%description -n %{libname}
TinyXML-2 is a simple, small, efficient, C++ XML parser that can be
easily integrated into other programs. It uses a Document Object Model
(DOM), meaning the XML data is parsed into a C++ objects that can be
browsed and manipulated, and then written to disk or another output stream.

TinyXML-2 doesn't parse or use DTDs (Document Type Definitions) nor XSLs
(eXtensible Stylesheet Language).

TinyXML-2 uses a similar API to TinyXML-1, But the implementation of the
parser was completely re-written to make it more appropriate for use in a
game. It uses less memory, is faster, and uses far fewer memory allocations.

%files -n      %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{version}

#------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{devname}
This package contains the libraries and header files that are needed
for writing applications with the %{name} library.

%files -n      %{devname}
%doc readme.md docs/*
%{_datadir}/cmake/Modules/FindTinyXML2.cmake
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#------------------------------------------------------------------

%prep
%setup -q

%build
%cmake
%make

# Build the documentation from the "dox" template
cd ..
doxygen dox

%install
rm -rf %buildroot
%makeinstall_std -C build

# Install CMake find module
install -D -m644 %{_sourcedir}/FindTinyXML2.cmake \
                 %{buildroot}%{_datadir}/cmake/Modules/FindTinyXML2.cmake


%clean
rm -rf %buildroot

%changelog
* Tue Oct 24 2017 bb2 <bb2> - 3.0.0-2pclos2017
- rebuild against updates

* Sat Aug 22 2015 bb <bb> 3.0.0-1pclos2015
- import into pclos for kodi 15.1

